--- Totestra-20120615.py	2012-06-15 22:54:54.000000000 -0500
+++ BigCoast.py	2012-06-26 18:32:23.000000000 -0500
@@ -1,5 +1,5 @@
 ##############################################################################
-## File: Totestra.py version 20120615 (June 15, 2012)
+## File: TotestraBigCoast.py version 20120626 (June 26, 2012)
 ## Note: This is a finished product.  
 ## Original file: PerfectWorld.py version 2.06
 ## Author: Rich Marinaccio
@@ -51,6 +51,8 @@
 ## Version History
 ## Totestra - Sam Trenholme's update of PerfectWorld2.py
 ##
+## 20120626: Hack to make coast bigger
+##
 ## 20120615:
 ## 1) One-line bugfix for multi-player maps
 ##
@@ -248,6 +250,10 @@
 OPTION_SmoothPeaks = 9
 OPTION_MAX = OPTION_MapSeed + 1 # Add 1 because it's 1-indexed
 
+# How big to make the coast.  1 is standard perfect world.  4 makes Lateens
+# (I mean Tirames) far more useful
+COAST_SIZE = 4
+
 # Setting this to 1 will allow the buggy 1:2 ratio; this ratio has
 # problems because of limitations in Civ 4's engine.  You have been warned.
 ALLOW_EXTREME_RATIOS = 0
@@ -2684,14 +2690,13 @@
             for x in range(mc.width):
                 i = GetIndex(x,y)
                 if self.plotMap[i] == mc.OCEAN:
-                    for direction in range (1,9,1):
-                        xx,yy = GetXYFromDirection(x,y,direction)
-                        ii = GetIndex(xx,yy)
-                        if ii == -1:
-                            continue
-                        if self.plotMap[ii] != mc.OCEAN:
-                            self.terrainMap[i] = mc.COAST
-
+		    for xx in range(x - COAST_SIZE,x + COAST_SIZE + 1):
+			for yy in range(y - COAST_SIZE, y + COAST_SIZE + 1):
+                            ii = GetIndex(xx,yy)
+                            if ii == -1:
+                                continue
+                            if self.plotMap[ii] != mc.OCEAN:
+                                self.terrainMap[i] = mc.COAST
                 #instead of harsh thresholds, allow a random deviation chance
                 #based on how close to the threshold the rainfall is
                 elif self.rainFallMap[i] < self.desertThreshold:
